#include <rgb_lcd.h>

/*
uso de arreglos para simular un menú
El menú cambia con una interrupción generada desde el botón push
*/

int bPush = 2;
volatile int cualMenu = 0;

int pot = A0;
int valorPot;
float radio;

String menu[4] = {"reloj", "temperatura", "radio", "settings"};

rgb_lcd pantalla;

void cambiarMenu(){
  cualMenu++;
  if (cualMenu > 3) cualMenu = 0;
}

void setup() {
  pantalla.begin(16, 2);
  pantalla.clear();
  pantalla.setRGB(0, 0, 0);

  attachInterrupt(digitalPinToInterrupt(bPush), cambiarMenu, RISING);

}

void loop() {

  if (cualMenu == 2){
    valorPot = analogRead(pot);
    radio = map(valorPot, 0, 1023, 880.0, 1080.0) / 10.0;
  }

  pantalla.clear();
  if (cualMenu == 2){
    pantalla.print(radio);
  }
  pantalla.setCursor(0, 1);
  pantalla.print(menu[cualMenu]);
  delay(200);

}
