#include <rgb_lcd.h>

/* función millis() 
usando la función millis vamos a hacer un reloj
*/

long tiempo; 
int intervalo;

int hh, mm, ss;

rgb_lcd pantalla;

void setup() {
  pantalla.begin(16, 2);
  pantalla.clear();
  pantalla.setRGB(0, 0, 0);

  tiempo =0;
  intervalo = 1000; //1 segundo

  //variables para igualar el reloj
  hh = 23;
  mm = 59;
  ss = 40;

}

void loop() {
  

  if (millis() - tiempo > intervalo){
    ss++;
    tiempo = millis();

    if (ss > 59){
      ss = 0;
      mm++;
      if (mm > 59){
        ss = 0;
        mm = 0;
        hh++;
        if (hh > 23){
          ss = 0;
          mm = 0;
          hh = 0;
        }
      }
    }

    pantalla.setCursor(0, 0);
    if (hh < 10){
      pantalla.print("0");
      pantalla.print(hh);
    }else{
      pantalla.print(hh);
    }
    pantalla.print(":");

    if (mm < 10){
      pantalla.print("0");
      pantalla.print(mm);
    }else{
      pantalla.print(mm);
    }
    pantalla.print(":");

    if (ss < 10){
      pantalla.print("0");
      pantalla.print(ss);
    }else{
      pantalla.print(ss);
    }
  }

  //delay(200);

}
